import 'option.dart';
import 'terminal.dart';

final Terminal _terminal = const Terminal();
class Prompter {
  
  Option askMultiple(String prompt, List<Option> options) {
    _terminal.clearScreen();
    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);

    int input = int.parse(_terminal.collectInput());
    try{
    return options[input];
    } catch(error) {
      return askMultiple(prompt, options);
    }
  }
}
